3 Replies Latest reply: Oct 30, 2012 6:24 PM by cj RSS

    PHP and Oracle

    964528
      Hi All,

      I am trying to connect oracle database (Oracle Version R12) which is on remote server throw PHP.
      The problem here is it says "The program cant start because OCI.dll is missing from your compute. Try reinstalling the program to fix this problem. "

      I am using WAMP SERVER 2.2 which has PHP 5.3.8. This WAMP is installed in my laptop.
      What i want to know is to access oracle from PHP should i install oracle client in my laptop.

      Thanks.
        • 1. Re: PHP and Oracle
          cj
          You need some Oracle client libraries to enable the PHP OCI8 extension to connect to a DB. The easiest way to get them is with the free Oracle Instant Client from http://www.oracle.com/technetwork/database/features/instant-client/index-097480.html

          In general, with the PHP Windows binaries from php.net, you would unzip the Basic or Basic Lite package, add the resulting directory to PATH and reboot. There might be another method with WAMP.
          • 2. Re: PHP and Oracle
            ranit B
            961525 wrote:
            Hi All,

            I am trying to connect oracle database (Oracle Version R12) which is on remote server throw PHP.
            The problem here is it says "The program cant start because OCI.dll is missing from your compute. Try reinstalling the program to fix this problem. "

            I am using WAMP SERVER 2.2 which has PHP 5.3.8. This WAMP is installed in my laptop.
            What i want to know is to access oracle from PHP should i install oracle client in my laptop.

            Thanks.
            WAMP stands for - Windows + Apache + mySQL + PHP
            Now here i dont think you'll be able to fit in Oracle as your database...

            Please rectify me if i'm wrong.
            Also please discuss this topic with peers/others before coming to any conclusion.
            Ranit B.
            • 3. Re: PHP and Oracle
              cj
              Ranit, you are wrong. You can use multiple extensions in PHP concurrently. The various MySQL extensions and the OCI8 extension can coexist. WAMP users need to enable OCI8 in php.ini and install Oracle client libraries.